SDL_GetOriginalMemoryFunctions(3)

NAME
SDL_GetOriginalMemoryFunctions - Get the original set of SDL memory functions.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

void SDL_GetOriginalMemoryFunctions(SDL_malloc_func *malloc_func,
                                SDL_calloc_func *calloc_func,
                                SDL_realloc_func *realloc_func,
                                SDL_free_func *free_func);

DESCRIPTION
This is what SDL_malloc and friends will use by default, if there has been no call to SDL_SetMemoryFunctions. This is not necessarily using the C runtime's malloc functions behind the scenes! Different platforms and build configurations might do any number of unexpected things.

FUNCTION PARAMETERS

malloc_func
    filled with malloc function.

calloc_func
    filled with calloc function.

realloc_func
    filled with realloc function.

free_func
    filled with free function.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.